=== debian/changelog ===
units-filter (1.0-3) unstable; urgency=low

  * removed hard dependance on libc6 without release number
    Closes: #215949

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 25 Jan 2004 19:23:07 +0100

units-filter (1.0-2) unstable; urgency=low

  * fixed a bug in debian/control : non-ascii character  is no more used. 

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 21 Sep 2003 01:54:38 +0200

units-filter (1.0-1) unstable; urgency=low

  * strcpy,strcat => strncpy, strncat : buffers should be secure.
  * added "a" (are) unity (1 are = 100 m).

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Tue, 23 Jul 2002 19:30:05 +0200

units-filter (0.9.7-1) unstable; urgency=low

  * Initial Release.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Tue, 30 Apr 2002 19:41:41 +0200
