## units-filter 2.8

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 install : all
 	install -m 775 -d ${DESTDIR}/usr/bin
 	install -m 775 -d ${DESTDIR}/usr/share/man/man1
-	install -m 755 --strip src/units-filter ${DESTDIR}/usr/bin
+	install -m 755 src/units-filter ${DESTDIR}/usr/bin
 	install -m 644 units-filter.1.gz ${DESTDIR}/usr/share/man/man1
 
 uninstall :
