=== src/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 all : units-filter
 
 test : all
-	units-test
+	sh units-test
 
 units-filter : unites.o
-	${CC} -g -o units-filter unites.o -lfl
+	${CC} -g -o units-filter unites.o -lfl -lm
 
 unites.o : unites.c
 	${CC} -g -c unites.c
