=== debian/changelog ===
units-filter (2.8) unstable; urgency=low

  * removed the option --strip from the Makefile.
    Closes: 438234

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 24 Aug 2007 17:17:34 +0200

units-filter (2.7) unstable; urgency=low

  * modified the behavior with the option -o: when then output string 
    contains e+00, the substring e+00 is erased.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 27 May 2007 17:03:57 +0200

units-filter (2.6-1) unstable; urgency=low

  * added a new feature, to consider physical quantities with a given
    rate of relative precision: syntax <quantity>~percent, to mean a
    physical quantity plus or minus percent % tolerance. The syntax
    <quantity>+-percent% is also allowed, which adds some rentrance.
  * added a new option switch, -l, to have an output in LaTeX language.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Oct 2006 19:41:28 +0200

units-filter (2.5-1) unstable; urgency=low

  * repackaged as a non-native package
    Closes: #230993

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 25 Jun 2006 12:59:02 +0200

units-filter (2.5) unstable; urgency=low

  * allowed some spaces in the representation of real numbers. 
  * fixed some issues with strncat in unites.y
  * added a syntax for wanted units in the output string
  * fixed a bug with non-SI units at a negative power
  * fixed a bug with the unit h

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 15 Jun 2006 09:30:26 +0200

units-filter (2.4) unstable; urgency=low

  * recompiled with the new version of flex, see 
    http://www.debian.org/security/2006/dsa-1020)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  2 Apr 2006 16:49:55 +0200

units-filter (2.3) unstable; urgency=low

  * fixed the canonical output when some significative number of digits is
    expected: an automatic rounding is made.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun,  5 Dec 2004 23:49:26 +0100

units-filter (2.2) unstable; urgency=low

  * added the possibility to pass an option via the environment as suggested
    by Gang XIAO. 

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon, 29 Nov 2004 00:42:30 +0100

units-filter (2.1) unstable; urgency=low

  * added an option to output a simple canonical expression with basic units
    of the International System.
  * added support for usual units as N, J, W, etc.
  * fixed a bug about numbers beginning with a '+' or '-' sign.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 21 Nov 2004 16:58:42 +0100

units-filter (2.0) unstable; urgency=low

  * added a syntax to express significative numbers : suffix "#n"

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 20 Nov 2004 22:36:53 +0100
