=== debian/control ===
Source: units-filter
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>> 3.0.0), flex, bison
Standards-Version: 3.7.2

Package: units-filter
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Suggests : wims
Description: Parser for expressions concerning physical values
 Units-filter is a basic standalone filter written in C language,
 flex and bison. It inputs strings like "1.5e3 nN.m.s^-1" (it could
 be the time growth ratio of a torque) and outputs the value in
 standard SI unit, followed by the physical dimension of this value.
 .
  example :~/src$ echo 1.5e3 nN.m.s^-1 | units-filter
  1.5e-06   2   1  -3   0   0   0   0    0    0
 .
                                   2     -3
  which means : 1.5e-06 (SI unit) m .kg.s
 .
 This parser can be embedded in educational test systems, in order to
 analyze a student's answer to a problem of physics or chemistry.
