## units-filter 3.0

=== src/Makefile ===
CC = gcc

RECODE_SUPPORT = $(shell if grep -q Debian /etc/issue; then echo -DRECODE_SUPPORT=1; else echo; fi)

LIBS = $(shell if grep -q Debian /etc/issue; then echo -lfl -lm -lrecode; else echo -lfl -lm; fi)

all : units-filter

test : all
	sh units-test

units-filter : unites.o
	${CC} -g -o units-filter unites.o $(LIBS)

unites.o : unites.c
	${CC} -g -c $(RECODE_SUPPORT) unites.c

unites.c : unites.l unites.y unites.h
	flex  unites.l
	bison  --verbose -o unites.c unites.y

clean :
	rm -f *~ unites.c *.o lex.yy.c *.output units-filter
