## units-filter 3.1

=== src/Makefile ===
CC = gcc
CXX = g++
#CXXFLAGS= -g -O1
CXXFLAGS= -g


RECODE_SUPPORT = $(shell if grep -q Debian /etc/issue; then echo -DRECODE_SUPPORT=1; else echo; fi)

LIBS = $(shell if grep -q Debian /etc/issue; then echo -lm -lrecode -lgmp -lgmpxx; else echo  -lm -lgmp -lgmpxx; fi)

all : units-filter

test : all
	sh units-test

units-filter : unitesparser.o
	${CXX} $(CXXFLAGS) $(LIBS) -o units-filter unitesparser.o

unitesparser.o : uniteslex.cc unitesparser.cc
	${CXX} $(CXXFLAGS) -c $(RECODE_SUPPORT) unitesparser.cc 

uniteslex.cc : unites.l unites.y unites.h
	flex  -o uniteslex.cc unites.l

unitesparser.cc: unites.y
	bison  --verbose -o unitesparser.cc unites.y

clean :
	rm -f *~ uniteslex.cc unitesparser.cc *.o  *.output units-filter
