## units-filter 3.3

=== src/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	${CXX} $(CXXFLAGS) -c $(RECODE_SUPPORT) unitesparser.cc 
 
 uniteslex.cc : unites.l unites.y unites.h
-	flex  -o uniteslex.cc unites.l
+	flex  -ouniteslex.cc unites.l
 
 unitesparser.cc: unites.y
 	bison  --verbose -o unitesparser.cc unites.y
