=== debian/changelog ===
units-filter (3.3-2) unstable; urgency=low

  * modified src/Makefile, thanks to Ilya Barygin's patch.
    Closes: #632567
  * simplified the file debian/rules.
  * switched to source format 3.0 (quilt).

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 03 Jul 2011 21:30:09 +0200

units-filter (3.3-1) unstable; urgency=low

  * introduced the type "decimal" which differs from "double" to get rid of
    the false digitalization for non-integers. Removed any use of functions
    which are based on the type "double". This should definitely close the
    bugs related to significative digits.
  * updated Standards-Version: 3.9.1 -> 3.9.2

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 24 Jun 2011 18:04:54 +0200

units-filter (3.2-1) unstable; urgency=low

  * added as a possibilty to replace the symbol "e" or "E" by "*10^" in
    float representation of input numbers.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Mar 2011 21:54:58 +0100

units-filter (3.1-2) unstable; urgency=low

  * modified the Makefile, now the invokation of flex can be used even with
    older versions of flex.
  * upgraded Standards-Version to 3.9.1

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 20:19:50 +0200

units-filter (3.1-1) unstable; urgency=low

  * fixed a bug about the output with negative numbers
  * fixed a bug about the output with zero numbers

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 10 Dec 2009 18:48:32 +0100

units-filter (3.0-3) unstable; urgency=low

  * updated lintian and fixed the warning about standards-version

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Oct 2009 14:11:08 +0100

units-filter (3.0-2) unstable; urgency=low

  * fixed a bug which was not detected by the test suite: the written
    output for numbers lesser than 1 was false. Integrated one new test
    in the suite.
  * modified the routine used to round the numbers. As many examples
    made by teachers use integer data, and divisions by 2, rounding
    numbers whose mantissa should be 0.5 is not unfrequent. 
    Unfortunately computations with floats (for example with the
    interpreter of Wims) often yelds unprecise results. This may cause
    troublesome behaviors, when a mantissa which should be 0.5 is actually
    0.4999999999999998 or so. Therefore, the routine used to round numbers
    adds the fraction 1000000001/2000000000 before making a 
    trucation.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 06 Sep 2009 16:30:16 +0200

units-filter (3.0-1) unstable; urgency=low

  * introduced multiprecision calculus, in order to avoid errors when 
    doing truncations (for exemple when specifying the number of 
    significant digits)
  * recoded sources from latin1 to utf8

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 31 Aug 2009 11:31:43 +0200

units-filter (2.9-7) unstable; urgency=low

  * added a dependency on docbook-xsl, thanks to José L. Redrejo 
    Rodríguez
  * replaced some spaces by unbreakable spaces in debian/control
    to get rid of a lintian warning about redundancy of the zeros.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 30 Jun 2009 11:40:29 +0200

units-filter (2.9-6) unstable; urgency=low

  * updated the compat level, fixed a typo in the file debian/control,
    rewritten the manpage with docbook (xml)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 28 Jun 2009 22:59:33 +0200

units-filter (2.9-5) unstable; urgency=low

  * modified unites.y and Makefile so it is possible to suppress the
    support for UTF8.
  * added the profiles of the functions trunc and round to avoid a 
    warning from gcc and have these functione properly managed.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Jun 2008 23:49:41 +0200

units-filter (2.9-4) unstable; urgency=low

  * fixed a segfault bug when the environment variable LC_ALL was not 
    set.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Dec 2007 20:18:00 +0100

units-filter (2.9-3) unstable; urgency=low

  * fixed the definition of eV : it is now a unit of energy (=1.6e-19 J)
  * modified the routine to simplify the output of floating numbers.
  * now the default behavior with the option -o is to display the unit
    given in the input (if it exists).
  * modified the test suite accordingly.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Dec 2007 19:43:27 +0100

units-filter (2.9-2) unstable; urgency=low

  * fixed a nasty bug which made a segfault when some units were used

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 14 Dec 2007 11:24:07 +0100

units-filter (2.9-1) unstable; urgency=low

  * Modified the package to make it non-native, as it can be used
    outside Debian.
  * Added some code to take in account the necessary recoding of some
    units for non-ASCII environments, like UTF-8

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 05 Dec 2007 21:54:55 +0100
