## units-filter 3.5

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 DESTDIR=
 
-all :
+all :   units-filter.1
 	gzip -9 -c units-filter.1 > units-filter.1.gz
 	(cd src; ${MAKE} all)
 test : all
 	(cd src; ${MAKE} test)
 
 clean :
-	rm -f *~ *stamp *.gz
+	rm -f *~ *stamp *.gz *.1
 	(cd src; ${MAKE} clean)
 
 install : all
@@ -19,3 +19,10 @@
 uninstall :
 	rm -f ${DESTDIR}/usr/bin/units-filter
 	rm -f ${DESTDIR}/usr/share/man/man1/units-filter.1.gz
+
+units-filter.1: manpage.xml
+	xsltproc -''-nonet -''-param man.charmap.use.subset "0" \
+	-''-param make.year.ranges "1" \
+	-''-param make.single.year.ranges "1" \
+	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
+	manpage.xml
