=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	sh units-test
 
 units-filter : unitesparser.o
-	${CXX} $(CXXFLAGS) $(LIBS) -o units-filter unitesparser.o
+	${CXX} $(CXXFLAGS) -o units-filter unitesparser.o $(LIBS)
 
 unitesparser.o : uniteslex.cc unitesparser.cc
 	${CXX} $(CXXFLAGS) -c $(RECODE_SUPPORT) unitesparser.cc 
@@ -26,4 +26,4 @@
 	bison  --verbose -o unitesparser.cc unites.y
 
 clean :
-	rm -f *~ uniteslex.cc unitesparser.cc *.o  *.output units-filter
+	rm -f *~ uniteslex.cc unitesparser.cc *.o  *.output units-filter tmp.*
