=== debian/changelog ===
units-filter (3.5-3) unstable; urgency=low

  * Modified my DEBEMAIL
  * fixed a conversion not allowed by the last version of gcc. Closes:#707460
  * updated Standards-Version and compat level
  * fixed the Suggests: field in control file
  * introduced hardening-wrapper in the rules and build-dependencies
  * fixed src/unites.y: added a format string for printf
  * fixed src/Makefile to take in account fortifying options in CXXFLAGS

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 May 2013 19:52:37 +0200

units-filter (3.5-2) unstable; urgency=low

  * fixed typos in the manpage, thanks to A. Costa's patch.
    Closes: #649228

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 19 Nov 2011 14:00:30 +0100

units-filter (3.5-1) unstable; urgency=low

  * fixed a bug which appeared with data containing too much digits.
  * added unitary tests for this feature

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 27 Aug 2011 20:46:11 +0200

units-filter (3.4-1) unstable; urgency=low

  * fixed a bug about significative digit guessing when the option -s
    is active and no explicite number of significatif digits is entered.
  * added unitary tests for this feature

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 25 Aug 2011 15:38:18 +0200

units-filter (3.3-3) unstable; urgency=low

  * added missing ";" in unites.y, thanks to Bernadette RIOU's bugreport

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 18 Aug 2011 18:31:36 +0200
