## units-filter 3.7

=== debian/changelog ===
units-filter (3.7-1) unstable; urgency=medium

  * rewrote the code to depend no longer on libmpfrc++-dev. 
    + Created a Decimal class implementing few operations, based on libgmp
    + Restored the dependency on libgmp-dev

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Aug 2014 16:22:10 +0200

units-filter (3.6-1) unstable; urgency=medium

  * improved the comments in src/unites.y; translated every comment in English.
  * rewrote the code to use libmpfrc++ instead of libgmp3
  * changed the build-dependencies accordingly
  * upgraded Standards-Version to 3.9.5

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Apr 2014 18:23:09 +0200
