=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>> 9), flex, bison, librecode-dev,
- hardening-wrapper, docbook-xsl, xsltproc, libgmp3-dev
-Standards-Version: 3.9.4
+ hardening-wrapper, docbook-xsl, xsltproc, libgmp-dev
+Standards-Version: 3.9.5
 
 Package: units-filter
 Architecture: any
