## units-filter 3.9

=== debian/changelog ===
units-filter (3.9-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:39 +0100

units-filter (3.9-1) unstable; urgency=medium

  * new upstream release : more units recognized.
  * dropped the build-dependency on sphinx stuff since the documentation
    is build by upstream.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Apr 2018 17:41:25 +0200

units-filter (3.8-1) unstable; urgency=medium

  * new upstream release, which changes the source of the documentation:
    sphinx is used to generate both man pages and html docs.
  * removed build-dependencies for xsltproc, added others for sphinx

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Apr 2018 15:50:46 +0200

units-filter (3.7-4) unstable; urgency=medium

  * added VCS stuff
  * upgraded Standards-Version to 4.1.4, dh and compat to 10.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Apr 2018 15:17:28 +0200

units-filter (3.7-3) unstable; urgency=medium

  * added a build-dependency on libfl-dev; Closes: #846453

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 02 Dec 2016 20:14:23 +0100

units-filter (3.7-2) unstable; urgency=medium

  * dropped the dependency on hardening-wrapper. Closes: #836659
  * upgraded Standards-Version to 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 14 Sep 2016 15:50:13 +0200
