=== debian/changelog ===
units-filter (4.0-1) unstable; urgency=medium

  * new upstream: fixed a warning about returning a temporary variable,
    tanks to Dominique Bernardi & Bernadette Perrin-Riou
  * upgraded Standards-Version: 4.5.0, debhelper-compat (=12)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Sep 2020 14:04:19 +0200
