=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Section: science
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>> 9), flex, bison, librecode-dev,
- hardening-wrapper, docbook-xsl, xsltproc, libgmp-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (=12),
+ flex, bison,
+ libgmp-dev, libfl-dev,  librecode-dev
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/georgesk/units-filter
+Vcs-Git: https://salsa.debian.org/georgesk/units-filter.git
 
 Package: units-filter
 Architecture: any
