## units-filter 4.2

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,15 @@
 
 MANSOURCES = $(shell ls doc/source/*.rst)
 DOCDIR = $(DESTDIR)/usr/share/doc/units-filter/html
+SUBDIRS = gui
 
 all :   units-filter.1 units-filter.html
 	gzip -9 -c units-filter.1 > units-filter.1.gz
 	(cd src; ${MAKE} all)
+	for d in $(SUBDIRS); do \
+	  $(MAKE) $@ -C $$d DESTDIR=$(DESTDIR); \
+	done
+
 test : all
 	(cd src; ${MAKE} test)
 
@@ -13,6 +18,9 @@
 	rm -f *~ *stamp *.gz
 	(cd src; ${MAKE} clean)
 	(cd doc; ${MAKE} clean)
+	for d in $(SUBDIRS); do \
+	  $(MAKE) $@ -C $$d DESTDIR=$(DESTDIR); \
+	done
 
 install : all
 	install -m 775 -d ${DESTDIR}/usr/bin
@@ -28,6 +36,9 @@
 	  rm -f $(DOCDIR)/_static/underscore.js; \
 	  ln -s /usr/share/javascript/underscore/underscore.js $(DOCDIR)/_static; \
 	fi
+	for d in $(SUBDIRS); do \
+	  $(MAKE) $@ -C $$d DESTDIR=$(DESTDIR); \
+	done
 
 uninstall :
 	rm -f ${DESTDIR}/usr/bin/units-filter
