=== debian/changelog ===
units-filter (4.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [Georges Khaznadar]
  * bumped Standards-Version: 4.6.2
  
 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:25:13 +0100

units-filter (4.2-3) unstable; urgency=medium

  * fixed the missing path $(DESTDIR_TXT)/usr/share/doc/units-filter/html
    when a symlink to /usr/share/sphinx/themes/basic/static must be created.
    Closes: #999652

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Nov 2021 19:24:51 +0100

units-filter (4.2-2) unstable; urgency=medium

  * no changes; this is for a source-only upload.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Nov 2021 17:11:11 +0100

units-filter (4.2-1) unstable; urgency=medium

  * new upstream version: impleted units VA and var, which are normalized
    by the International system, as volt.ampere and reactive volt.ampere

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Sep 2021 17:42:12 +0200

units-filter (4.1-1) unstable; urgency=medium

  * new upstream version : features a new GUI
  * rewritten debian/copyright (DEP5 style), mentioned the three icons
    borrowed from KDE Oxygen development group and used for the GUI.
  * referenced README.rst and LISEZMOI.rst instead of README, LISEZMOI;
    Closes: #992508
  * bumped a build-dependency: debhelper-compat (=13), and debian policy,
    Standards-Version: 4.5.1
  * build-dependecies: added dh-python, python3, pyqt5-dev-tools,
    python3-docutils, qttools5-dev-tools, qt5-qmake
  * dependencies for the GUI: python3-pyqt5, units-filter, texlive-latex-base,
    pdf2svg, librsvg2-bin
  * separated the package units-master, which provides the GUI application

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 14:43:52 +0200

units-filter (4.0.1-1) unstable; urgency=medium

  * slight change in upstream : rebuilt the manpage
  * added dependencies on libjs-jquery, libjs-underscore: Closes: #989325

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 11:28:36 +0200
