=== debian/control ===
--- 
+++ 
@@ -3,16 +3,23 @@
 Section: science
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
  flex, bison,
- libgmp-dev, libfl-dev,  librecode-dev
-Standards-Version: 4.5.0
+ libgmp-dev, libfl-dev,  librecode-dev,
+ dh-python, python3,
+ pyqt5-dev-tools,
+ qttools5-dev-tools,
+ qt5-qmake,
+ python3-docutils
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/units-filter
 Vcs-Git: https://salsa.debian.org/georgesk/units-filter.git
 
 Package: units-filter
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libjs-jquery, libjs-underscore
+Recommends: python3-sphinx
 Suggests: wims
 Description: Parser for expressions concerning physical values
  Units-filter is a basic standalone filter written in C language,
@@ -29,3 +36,19 @@
  This parser can be embedded in educational test systems, in order to
  analyze a student's answer to a problem of physics or chemistry.
 
+Package: units-master
+Architecture: all
+Depends: ${misc:Depends},
+ ${python3:Depends},
+ python3,
+ python3-pyqt5,
+ units-filter,
+ texlive-latex-base,
+ pdf2svg,
+ librsvg2-bin
+Suggests: wims
+Description: Powerful units converter with a GUI
+ Units-master is a graphic application with three features:
+  - check the syntax of a physical quantity, like "25 m/s", or "1.2 µA"
+  - perform conversions, like "1.2 µA" to "1.2e-3 mA"
+  - render physical quantities to plain LaTeX, PNG, SVG.
