=== gui/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	for d in $(SUBDIRS); do \
 	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); \
 	done
+	cat units-master.1 | gzip -c9 > units-master.1.gz
 
 ui_%.py: %.ui
 	pyuic5 -o $@ $<
@@ -30,6 +31,7 @@
 	for d in $(SUBDIRS); do \
 	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); \
 	done
+	rm -f units-master.1.gz
 
 install: all
 	# install master, other Python files, and html documents
