=== gui/lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*.py ../master)
FORMS = $(shell ls ../*.ui)
PYLUPDATE ?= pylupdate5
export LANG=C

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 units-master.pro

$(TS_FILES): units-master.pro
	$(PYLUPDATE) units-master.pro

units-master.pro: $(SOURCES)
	@echo "# GENERATED FILE, DO NOT EDIT" > $@
	@echo "SOURCES = $(SOURCES)" >> $@
	@echo "FORMS = $(FORMS)" >> $@
	@echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) units-master.pro lrelease.log *.svg status.txt

install: all
	install -d $(DESTDIR)/usr/share/units-filter/lang
	install -m 644 $(QM_FILES) $(DESTDIR)/usr/share/units-filter/lang

.PHONY: all clean install
