=== debian/changelog ===
units-filter (4.2.1-1) unstable; urgency=medium

  * new upstream : fix issues with the manpage, updated the translation
    Closes: #1046564

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Nov 2023 17:56:14 +0100
