=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qttools5-dev-tools,
  qt5-qmake,
  python3-docutils
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/georgesk/units-filter
 Vcs-Git: https://salsa.debian.org/georgesk/units-filter.git
