=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,15 @@
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@ 
+	dh $@ --with python3
+
+DESTDIR_GUI = debian/units-master
+DESTDIR_TXT = debian/units-filter
+
+override_dh_fixperms:
+	dh_fixperms
+	# replace one directory by a symlink to sphinx
+	mkdir -p $(DESTDIR_TXT)/usr/share/doc/units-filter/html
+	rm -rf $(DESTDIR_TXT)/usr/share/doc/units-filter/html/_static
+	ln -s ../../../sphinx/themes/basic/static \
+	  $(DESTDIR_TXT)/usr/share/doc/units-filter/html/_static
